Summary:	Web-based PostgreSQL administration
Name:		phpPgAdmin
Version:	5.1
Release:	2%{?dist}
License:	GPLv2+ and (LGPLv2+ or BSD) and ASL 2.0 and MIT
Group:		Applications/Databases
URL:		http://phppgadmin.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:	http://downloads.sourceforge.net/phppgadmin/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf

Requires:	php >= 4.2, gawk
Requires:	php-pgsql >= 4.2, httpd
Requires(post): systemd
Requires(postun): systemd
Buildarch:	noarch

%define		_phppgadmindir	%{_datadir}/%{name}

Patch1:		%{name}-langcheck.patch

%description
phpPgAdmin is a fully functional web-based administration utility for
a PostgreSQL database server. It handles all the basic functionality
as well as some advanced features such as triggers, views and
functions (stored procedures). It also has Slony-I support.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_phppgadmindir}
install -d %{buildroot}%{_phppgadmindir}/conf
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m 644 -p *.php %{buildroot}%{_phppgadmindir}
cp -ap *.js robots.txt classes help images js lang libraries plugins themes xloadtree %{buildroot}%{_phppgadmindir}
install -m 755 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
install -m 755 conf/* %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name}/config.inc.php %{buildroot}/%{_phppgadmindir}/conf/config.inc.php
ln -s %{_sysconfdir}/%{name}/config.inc.php-dist %{buildroot}/%{_phppgadmindir}/conf/config.inc.php-dist

%post
/usr/bin/systemctl reload httpd.service

%postun
/usr/bin/systemctl reload httpd.service

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CREDITS DEVELOPERS FAQ HISTORY INSTALL LICENSE TODO TRANSLATORS
%dir %{_phppgadmindir}
%dir %{_sysconfdir}/%{name}
%dir %{_phppgadmindir}/conf
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(644,root,root) %{_phppgadmindir}/*.php
%{_phppgadmindir}/*.js
%{_phppgadmindir}/robots.txt
%{_phppgadmindir}/classes
%{_phppgadmindir}/help
%{_phppgadmindir}/images
%{_phppgadmindir}/js/*.js
%{_phppgadmindir}/libraries
%{_phppgadmindir}/plugins/Report/*
%{_phppgadmindir}/plugins/GuiControl/*
%{_phppgadmindir}/themes
%{_phppgadmindir}/xloadtree
%{_phppgadmindir}/conf/*
%dir %{_phppgadmindir}/lang
%attr(644,root,root) %{_phppgadmindir}/lang/*.php
%attr(644,root,root) %{_phppgadmindir}/lang/README
%attr(755,root,root) %{_phppgadmindir}/lang/langcheck
%attr(755,root,root) %{_phppgadmindir}/lang/synch

%changelog
* Wed Aug 28 2013 Jozef Mlich <jmlich@redhat.com> 5.1-2
- incorrect disabling of httpd during uninstallation

* Thu Aug 22 2013 Jozef Mlich <jmlich@redhat.com> 5.1-1
- post, preun, postun phases modified accoding to Fedora Packaging Guidelines
- Update to 5.1, per changes described at
  http://sourceforge.net/mailarchive/message.php?msg_id=30730170

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 02 2012 Johan Cwiklinski <johan AT x-tnd DOT be> - 5.0.4-3
- Update apache configuration file for httpd 2.4

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Devrim Gunduz <devrim@gunduz.org> 5.0.4-1
- Update to 5.0.4, per changes described at
  http://archives.postgresql.org/pgsql-announce/2012-03/msg00016.php

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 3 2011 Devrim Gunduz <devrim@gunduz.org> 5.0.3-1
- Update to 5.0.3, per changes described at:
   http://sourceforge.net/mailarchive/forum.php?thread_name=4E897F6C.90905%40free.fr&forum_name=phppgadmin-news

* Wed Apr 27 2011 Devrim Gunduz <devrim@gunduz.org> 5.0.2-1
- Update to 5.0.2, which also fixes bz #689394

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Devrim Gunduz <devrim@gunduz.org> 5.0-1
- Update to 5.0 final.
  PHP 5.3.

* Thu Oct 7 2010 Devrim Gunduz <devrim@gunduz.org> 5.0-beta2-1
- Update to 5.0-beta2, which actually support PostgreSQL 8.4 and
  PHP 5.3.

* Mon Mar 29 2010 Devrim Gunduz <devrim@gunduz.org> 4.2.3-1
- Update to 4.2.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Devrim Gunduz <devrim@commandprompt.com> 4.2.2-1
- Update to 4.2.2

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.2-2
- fix license tag

* Sun Apr 6 2008 Devrim Gunduz <devrim@commandprompt.com> 4.2-1
- Update to 4.2
- Removed patch #2

* Wed Jul 11 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1.3-2
- Added temporary patch #2 , per sf.net bug #1751614

* Tue Jul 10 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1.3-1
- Update to 4.1.3

* Fri Jun 01 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1.2-1
- Update to 4.1.2
- Fix for Red Hat Bugzilla  #241489

* Mon Mar 26 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1.1-1
- Update to 4.1.1
- Fix for Red Hat Bugzilla  #233902

* Sun Jan 21 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1-2
- Rebuilt
- Fixed changelog entry

* Thu Jan 4 2007 Devrim Gunduz <devrim@commandprompt.com> 4.1-1
- Update to 4.1
- Fix for rh bugzilla #222740

* Thu Jan 4 2007 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-7
- Rebuilt

* Thu Jan 4 2007 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-6
- Fixed phppgadmin.conf file.

* Thu Dec 21 2006 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-5
- More specfile fixes per bugzilla review #200600

* Thu Dec 21 2006 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-4
- More specfile fixes per bugzilla review #200600

* Sun Aug 6 2006 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-3
- Changed awk dependency to gawk
- Fixed changelog entry

* Tue Aug 1 2006 Devrim Gunduz <devrim@commandprompt.com> 4.0.1-2
- Rebuilt for FC Extras Submission
- Fixed rpmlint errors
- Spec file cleanup

* Sat Dec 17 2005 Devrim Gunduz <devrim@commandprompt.com> 4.0.1
- Update to 4.0.1
- Added xloadtree and help among installed file lists
- rename pgadmindir to phppgadmindir

* Tue Oct 18 2005 Devrim Gunduz <devrim@gunduz.org> 3.5.6
- Updated to 3.5.6

* Wed Aug 24 2005 Devrim Gunduz <devrim@gunduz.org> 3.5.5
- Updated to 3.5.5

* Tue Jul 19 2005 Devrim Gunduz <devrim@gunduz.org> 3.5.4
- Updated to 3.5.4
